SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000692: Traffic Shaping - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000692Endian FirewallNetwork related (VPN, uplinks)public2008-04-18 23:332009-10-27 12:03
Reporteredified 
Assigned Toraphael-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta3 
Target VersionFixed in Version2.2-rc1 
Summary0000692: Traffic Shaping
DescriptionThe interface for WonderShaper makes it look like you can cap Downlink Speed and Uplink speed at a certain rate. This isn't true (or doesn't work).
Additional InformationIncluding actual throttling settings is useful. Although traffic shaping is appropriate for most situations, throttles can prevent users from overstepping ISP quotas- for instance I have a 1.5Mbit satellite connection with a 17GB/30days ISP threshold (after which service is not guaranteed). I have to throttle to 128Kbit/s to keep my users from over stepping their bandwidth cap in a week.

A simple [tc qdisc add dev eth1 root handle ed:0 tbf rate 128kbit burst 5000 latency 100ms] did the trick for me, and then I use wondershaper to keep that 128kbits low latency during usage (eth1 is my DMZ, this throttles traffic into the DMZ).

A built in tool would be handy

Cheers, Ed
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001146)
peter-endian (administrator)
2008-05-09 17:56

traffic priorisation is not implemented

- Issue History
Date Modified Username Field Change
2008-04-18 23:33 edified New Issue
2008-04-18 23:33 edified Status new => assigned
2008-04-18 23:33 edified Assigned To => peter-endian
2008-04-22 10:15 ra-endian Assigned To peter-endian => raphael-endian
2008-05-09 17:56 peter-endian Status assigned => resolved
2008-05-09 17:56 peter-endian Fixed in Version => 2.2-rc1
2008-05-09 17:56 peter-endian Resolution open => fixed
2008-05-09 17:56 peter-endian Note Added: 0001146
2009-10-27 12:03 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker